<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>main module &mdash; calculs 1.0 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="calculs-matriciels" href="modules.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            calculs
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">calculs-matriciels</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">main module</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">calculs</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="modules.html">calculs-matriciels</a></li>
      <li class="breadcrumb-item active">main module</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/main.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-main">
<span id="main-module"></span><h1>main module<a class="headerlink" href="#module-main" title="Permalink to this heading"></a></h1>
<dl class="py exception">
<dt class="sig sig-object py" id="main.MatriceDimensionError">
<em class="property"><span class="pre">exception</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">MatriceDimensionError</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">message</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'Les</span> <span class="pre">dimensions</span> <span class="pre">des</span> <span class="pre">matrices</span> <span class="pre">ne</span> <span class="pre">sont</span> <span class="pre">pas</span> <span class="pre">compatibles.'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.MatriceDimensionError" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">Exception</span></code></p>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="main.TestMatrice">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">TestMatrice</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">methodName</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'runTest'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.TestMatrice" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">TestCase</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="main.TestMatrice.test_change_valeur">
<span class="sig-name descname"><span class="pre">test_change_valeur</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#main.TestMatrice.test_change_valeur" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="main.TestMatrice.test_is_element">
<span class="sig-name descname"><span class="pre">test_is_element</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#main.TestMatrice.test_is_element" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="main.TestMatrice.test_matrice_creation">
<span class="sig-name descname"><span class="pre">test_matrice_creation</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#main.TestMatrice.test_matrice_creation" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="main.TestMatrice.test_matrice_identite">
<span class="sig-name descname"><span class="pre">test_matrice_identite</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#main.TestMatrice.test_matrice_identite" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="main.TestMatrice.test_produit_matriciel">
<span class="sig-name descname"><span class="pre">test_produit_matriciel</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#main.TestMatrice.test_produit_matriciel" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="main.TestMatrice.test_produit_scalaire">
<span class="sig-name descname"><span class="pre">test_produit_scalaire</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#main.TestMatrice.test_produit_scalaire" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="main.TestMatrice.test_somme_matrice">
<span class="sig-name descname"><span class="pre">test_somme_matrice</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#main.TestMatrice.test_somme_matrice" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.change_valeur">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">change_valeur</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">ligne</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">colonne</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">nouvelle_valeur</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.change_valeur" title="Permalink to this definition"></a></dt>
<dd><p>Modifie une valeur dans la matrice matrice1 à la position (ligne, colonne).</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.is_element">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">is_element</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice12</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">nombre</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.is_element" title="Permalink to this definition"></a></dt>
<dd><p>Trouve la position de nombre dans la matrice.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.matrice">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">matrice</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">nb_lignes</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">nb_colonnes</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.matrice" title="Permalink to this definition"></a></dt>
<dd><p>Crée une matrice de dimensions nb_lignes x nb_colonnes avec des zéros.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.matrice_identite">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">matrice_identite</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">taille</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.matrice_identite" title="Permalink to this definition"></a></dt>
<dd><p>Crée une matrice identité de taille donnée.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.produit_matriciel">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">produit_matriciel</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">matrice2</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.produit_matriciel" title="Permalink to this definition"></a></dt>
<dd><p>Effectue le produit matriciel de deux matrices.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.produit_scalaire">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">produit_scalaire</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice23</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">nombre</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.produit_scalaire" title="Permalink to this definition"></a></dt>
<dd><p>Multiplie chaque élément de la matrice par un nombre.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.somme_matrice">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">somme_matrice</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">matrice2</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.somme_matrice" title="Permalink to this definition"></a></dt>
<dd><p>Additionne deux matrices de même dimension.</p>
</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="modules.html" class="btn btn-neutral float-left" title="calculs-matriciels" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, kevin.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>